diff -Naur mw2/kernel/lib/include/mw.h mw1/kernel/lib/include/mw.h
--- mw2/kernel/lib/include/mw.h	2003-11-25 14:17:32.000000000 -0300
+++ mw1/kernel/lib/include/mw.h	2005-02-11 16:08:18.713800192 -0200
@@ -37,6 +37,10 @@
 /* defines malloc as void * */
 #include <stdlib.h>
 
+#define MAXFLOAT  3.40282347e+38F
+#define FLTMAX  MAXFLOAT
+#define FLT_MAX MAXFLOAT
+
 extern void  mwexit(int);
 extern void  mw_exit(int);
 extern void  *mwmalloc(size_t);
diff -Naur mw2/kernel/mwp/main.c mw1/kernel/mwp/main.c
--- mw2/kernel/mwp/main.c	2001-12-27 18:56:44.000000000 -0300
+++ mw1/kernel/mwp/main.c	2005-01-21 21:54:31.000000000 -0200
@@ -255,7 +255,7 @@
 	   and it seems useless on kernel 2.0.36 : assuming that -undef was needed
 	   by very old kernels only and remove this flag.
 	*/
-	sprintf(buffer, "%s -C %s %s %s/mw%d.i", CPPCMD, bufcpp, argv[optind], 
+	sprintf(buffer, "%s -undef -C %s %s %s/mw%d.i", CPPCMD, bufcpp, argv[optind], 
                                                               tmpdir, getpid());
 #else
 	sprintf(buffer, "%s -C %s %s %s/mw%d.i", CPPCMD, bufcpp, argv[optind], 
diff -Naur mw2/src/image/level_lines/flstb_quantize.c mw1/src/image/level_lines/flstb_quantize.c
--- mw2/src/image/level_lines/flstb_quantize.c	2002-01-24 19:50:42.000000000 -0300
+++ mw1/src/image/level_lines/flstb_quantize.c	2005-01-21 21:49:58.000000000 -0200
@@ -3,8 +3,7 @@
   name = {flstb_quantize}; 
   version = {"1.2"}; 
   author = {"Pascal Monasse"}; 
-  function = {"Quantize the Fast Level Sets Transform of a bilinear \
-interpolated image"};
+  function = {"Quantize the Fast Level Sets Transform of a bilinear \ interpolated image"};
   usage = { 
     'l': levels -> pLevels "Levels of quantization (Fsignal)",
     'o': offset -> pOffset "Offset of the quantization (default 0.5)",
diff -Naur mw2/src/image/level_lines/flst_pixels.c mw1/src/image/level_lines/flst_pixels.c
--- mw2/src/image/level_lines/flst_pixels.c	2001-11-29 16:23:56.000000000 -0300
+++ mw1/src/image/level_lines/flst_pixels.c	2005-01-21 21:49:24.000000000 -0200
@@ -3,8 +3,7 @@
   name = {flst_pixels}; 
   version = {"1.0"}; 
   author = {"Pascal Monasse"}; 
-  function = {"Fill the field PIXELS of a tree of shapes.\
- Module meant to be called from another one, not from the command line"};
+  function = {"Fill the field PIXELS of a tree of shapes.\ Module meant to be called from another one, not from the command line"};
   usage = { 
     tree -> pTree "The tree of the interpolated image"
     }; 
